/**
 * Formidable Forms Style Overrides
 * Custom styles for Formidable Forms within TA Contact Section
 */

/* ==========================================================================
   Form Overrides
   ========================================================================== */
.with_frm_style .frm_form_fields > fieldset {
  padding-bottom: 0px;
}

#frm_field_6_container {
  margin-bottom: 0px;
}
.frm_style_formidable-style.with_frm_style
  .frm_compact
  .frm_dropzone.dz-clickable
  .dz-message,
.frm_style_formidable-style.with_frm_style input[type="submit"],
.frm_style_formidable-style.with_frm_style .frm_submit input[type="button"],
.frm_style_formidable-style.with_frm_style .frm_submit button,
.frm_form_submit_style,
.frm_style_formidable-style.with_frm_style .frm-edit-page-btn {
  margin-bottom: 0px;
  height: 50px;
  font-size: 1rem;
}
.frm_style_formidable-style.with_frm_style .form-field {
  margin-bottom: 15px;
}
.with_frm_style input[type="text"],
.with_frm_style input[type="password"],
.with_frm_style input[type="email"],
.with_frm_style input[type="number"],
.with_frm_style input[type="url"],
.with_frm_style input[type="tel"],
.with_frm_style input[type="file"],
.with_frm_style input[type="search"],
.with_frm_style select,
.with_frm_style textarea,
.with_frm_style .frm-card-element.StripeElement {
  width: 100%;
  font-size: 16px;
  border: 1.5px solid #cbd5e1;
  outline: none;
  padding: 0.75rem 1rem;
  box-shadow: none;
}

.frm_style_formidable-style.with_frm_style .frm-edit-page-btn:hover,
.frm_style_formidable-style.with_frm_style input[type="submit"]:hover,
.frm_style_formidable-style.with_frm_style
  .frm_submit
  input[type="button"]:hover,
.frm_style_formidable-style.with_frm_style .frm_submit button:hover {
  color: white;
}

.frm_style_formidable-style.with_frm_style
  .form-field
  input:not([type="file"]):not([type="range"]):not([readonly]):focus,
.frm_style_formidable-style.with_frm_style select:focus,
.frm_style_formidable-style.with_frm_style .form-field textarea:focus,
.frm_style_formidable-style.with_frm_style .frm_focus_field input[type="text"],
.frm_style_formidable-style.with_frm_style
  .frm_focus_field
  input[type="password"],
.frm_style_formidable-style.with_frm_style .frm_focus_field input[type="email"],
.frm_style_formidable-style.with_frm_style
  .frm_focus_field
  input[type="number"],
.frm_style_formidable-style.with_frm_style .frm_focus_field input[type="url"],
.frm_style_formidable-style.with_frm_style .frm_focus_field input[type="tel"],
.frm_style_formidable-style.with_frm_style
  .frm_focus_field
  input[type="search"],
.frm_form_fields_active_style,
.frm_style_formidable-style.with_frm_style
  .frm_focus_field
  .frm-card-element.StripeElement {
  border-color: var(--secondary) !important;
  outline: none !important;
  box-shadow: 0 0 0 3px #bdb5651a !important;
}

.frm_style_formidable-style.with_frm_style .frm-edit-page-btn:focus,
.frm_style_formidable-style.with_frm_style input[type="submit"]:focus,
.frm_style_formidable-style.with_frm_style
  .frm_submit
  input[type="button"]:focus,
.frm_style_formidable-style.with_frm_style .frm_submit button:focus,
.frm_style_formidable-style.with_frm_style input[type="submit"]:active,
.frm_style_formidable-style.with_frm_style
  .frm_submit
  input[type="button"]:active,
.frm_style_formidable-style.with_frm_style .frm_submit button:active {
  color: white;
}
